/***************************************************************************
 *   copyright       : (C) 2009-2010 by Pascal Brachet                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "conditiondialog.h"
#include <QFile>
#include <QTextStream>
#include <QTextCodec>

ConditionDialog::ConditionDialog(QWidget *parent, QString variables, QString types)
    :QDialog( parent)
{
ui.setupUi(this);
setModal(true);
QTextCodec *codec = QTextCodec::codecForName("UTF-8");
QString contenu;
QFile aide(":/documents/aidecondition.txt");
aide.open(QIODevice::ReadOnly);
QTextStream in(&aide);
in.setCodec(codec);
while (!in.atEnd()) 
	{
	contenu+= in.readLine()+"\n";
	}
aide.close();
ui.textEdit->setHtml(contenu);

listeVariables=variables.split("#");
listeTypes=types.split("#");

for (int i = 0; i < listeVariables.count(); i++)
{
  if (listeTypes.at(i)=="LISTE") listeVarListe.append(listeVariables.at(i)+"[]");
  else if (listeTypes.at(i)=="NOMBRE") listeVarNombre.append(listeVariables.at(i));
  else if (listeTypes.at(i)=="CHAINE") listeVarChaine.append(listeVariables.at(i));
}

if (listeVarNombre.count()>0) ui.listWidget->addItems(listeVarNombre);
if (listeVarListe.count()>0) ui.listWidget->addItems(listeVarListe);
if (listeVarChaine.count()>0) ui.listWidget->addItems(listeVarChaine);

connect(ui.listWidget, SIGNAL(itemClicked ( QListWidgetItem*)), this, SLOT(InsertVariable(QListWidgetItem*)));
}

ConditionDialog::~ConditionDialog(){
}

void ConditionDialog::InsertVariable(QListWidgetItem *item)
{
QString txt=item->text();
int pos=ui.lineEditCondition->cursorPosition();
ui.lineEditCondition->insert(txt);
ui.lineEditCondition->setCursorPosition(pos+txt.length());
ui.lineEditCondition->setFocus();
}